package merlin.util;

/**
 * The interface of a timeoutable. A TimeOutable can register to
 * a Timer and be timed out after a specified time
 * Copyright (c) Stefan Hellkvist (see COPYRIGHT)
 * @author Stefan Hellkvist
 * @version 1.0
 */

public abstract interface TimeOutable
{
    
    /**
     * This method is called by the Timer when the specified time
     * has elapsed
     */
    public void timedOut();
}
