/* 
 * Some routines to handle the VersaPad 
 * Author: Stefan Hellkvist
 * Version: 0.01
 */

#ifndef COM_H
#define COM_H

struct PadEvent
{
    char rightButton;
    char leftButton;
    char virtualButton;
    char padInUse;
    int x;
    int y;
    int z;
};

void readPadEvent(struct PadEvent *pe);
extern char version[15]; /* The verion of the pads firm ware 
			    will be stored here after initialization */
extern char version2[15]; /* The verion of the pads firm ware 
			    will be stored here after initialization */
void writeCharToPad(unsigned char one_ch); /* Writes a character to the pad */
unsigned char readCharFromPad(); /* Reads a character from the pad */
void readCharsFromPad(int n, unsigned char *buffer); /* Reads characters from the pad */
void writeCharsToPad(int n, unsigned char *buffer); /* Writes characters to the pad */
int initPad(char *s); /* Initiates and enables the VersaPad */

#endif







